Loading...
Searching...
No Matches
Catch::Clara::Detail::BoundRef Struct Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::BoundRef:
[legend]
Collaboration diagram for Catch::Clara::Detail::BoundRef:
[legend]

## Public Member Functions

virtual | ~BoundRef ()=default
virtual bool | isContainer () const
virtual bool | isFlag () const

## Additional Inherited Members

Protected Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Constructor & Destructor Documentation

## ~BoundRef()

virtual Catch::Clara::Detail::BoundRef::~BoundRef | ( |  | ) |

virtualdefault

Here is the call graph for this function:

## Member Function Documentation

## isContainer()

bool Catch::Clara::Detail::BoundRef::isContainer | ( |  | ) | const

virtual

Reimplemented in Catch::Clara::Detail::BoundManyLambda< L >, and Catch::Clara::Detail::BoundValueRef< std::vector< T > >.

Here is the caller graph for this function:

## isFlag()

bool Catch::Clara::Detail::BoundRef::isFlag | ( |  | ) | const

virtual

Reimplemented in Catch::Clara::Detail::BoundFlagRefBase.

Here is the caller graph for this function:

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp